Summary:   CheckInstall installations tracker, version 1.4.1
Name:      checkinstall
Version:   1.4.1
Release:   1mdk
Copyright: GPL
Group:     Applications/System          
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot



%description
CheckInstall  keeps  track of all the files created  or
modified  by your installation  script  ("make install"
"make install_modules",  "setup",   etc),   builds    a 
standard   binary   package and  installs  it  in  your 
system giving you the ability to uninstall it with your 
distribution's  standard package management  utilities. 

%prep

%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/checkinstall

install -m 755 checkinstall $RPM_BUILD_ROOT/%{_bindir}
install -m 755 makepak $RPM_BUILD_ROOT/%{_bindir}
install -m 755 installwatch-0.6.1/installwatch $RPM_BUILD_ROOT/%{_bindir}
install -m 755 installwatch-0.6.1/installwatch.so $RPM_BUILD_ROOT/%{_libdir}
install -m 755 checkinstallrc $RPM_BUILD_ROOT/%{_libdir}/checkinstall


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_bindir}/installwatch
%{_libdir}/checkinstall/checkinstallrc
%{_libdir}/installwatch.so
%{_bindir}/checkinstall
%{_bindir}/makepak

%changelog
* Thu Apr 12 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.4.1-1mdk
- First package

